LibreOffice: CachedDynamicResultSetStub Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
CachedDynamicResultSetStub Service Referencepublished

provides read access to a static or dynamically changing ContentResultSet. More...

Inheritance diagram for CachedDynamicResultSetStub:

## Exported Interfaces
interface | com::sun::star::ucb::XDynamicResultSet
| In Combination with a CachedDynamicResultSet this provides remote optimized read access to a static or dynamically changing ContentResultSet. More...
interface | com::sun::star::ucb::XSourceInitialization
| provides the initialization of the CachedDynamicResultSetStub with a source object. More...

## Additional Inherited Members
Public Member Functions inherited from XDynamicResultSet
com::sun::star::sdbc::XResultSet | getStaticResultSet () raises ( com::sun::star::ucb::ListenerAlreadySetException )
| Call this, if you don't care about any changes. More...
void | setListener ([in] XDynamicResultSetListener Listener) raises ( com::sun::star::ucb::ListenerAlreadySetException )
| Call this, if you want to get notifications about changes. More...
void | connectToCache ([in] XDynamicResultSet Cache) raises ( com::sun::star::ucb::ListenerAlreadySetException , com::sun::star::ucb::AlreadyInitializedException , com::sun::star::ucb::ServiceNotFoundException )
| Connects this to a CachedDynamicResultSet for optimized remote data transport. More...
short | getCapabilities ()
| Using this method you can get information, whether the offered ContentResultSets are sorted or filtered etc correctly as demanded during the creation of the XDynamicResultSet. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XSourceInitialization
void | setSource ([in] com::sun::star::uno::XInterface Source) raises (AlreadyInitializedException)
| provides the initialization of a component with any source object. More...

## Detailed Description

provides read access to a static or dynamically changing ContentResultSet.

For example, a DynamicResultSet is returned from the open-command executed by an XCommandProcessor of the service Content.

## Exported Interfaces

## ◆ com::sun::star::ucb::XDynamicResultSet

interface com::sun::star::ucb::XDynamicResultSet

In Combination with a CachedDynamicResultSet this provides remote optimized read access to a static or dynamically changing ContentResultSet.

The com::sun::star::sdbc::XResultSets given to the listener in the first notification in the WelcomeDynamicResultSetStruct are implementations of CachedContentResultSetStub.

This interface is required.

## ◆ com::sun::star::ucb::XSourceInitialization

interface com::sun::star::ucb::XSourceInitialization

provides the initialization of the CachedDynamicResultSetStub with a source object.

The Source in XSourceInitialization::setSource() has to be an implementation of service DynamicResultSet

This interface is required.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/CachedDynamicResultSetStub.idl